org.pcollections

## Interface PSet<E>

Type Parameters:
  `E` -

All Superinterfaces:
  Collection<E>, Iterable<E>, PCollection<E>, Set<E>

All Known Subinterfaces:
  POrderedSet<E>

All Known Implementing Classes:
  MapPSet, OrderedPSet

    public interface PSet<E>
    extends PCollection<E>, Set<E>

An immutable, persistent set, containing no duplicate elements.

### Method Summary

Methods
`PSet<E>` `minus(Object e)`
`PSet<E>` `minusAll(Collection<?> list)`
`PSet<E>` `plus(E e)`
`PSet<E>` `plusAll(Collection<? extends E> list)`

### Methods inherited from interface org.pcollections.PCollection

`add, addAll, clear, remove, removeAll, retainAll`

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

### Method Detail

#### plus

    PSet<E> plus(E e)

Specified by:
  `plus` in interface `PCollection<E>`
Parameters:
  `e` - non-null
Returns:
  a collection which contains e and all of the elements of this

#### plusAll

    PSet<E> plusAll(Collection<? extends E> list)

Specified by:
  `plusAll` in interface `PCollection<E>`
Parameters:
  `list` - contains no null elements
Returns:
  a collection which contains all of the elements of list and this

#### minus

    PSet<E> minus(Object e)

Specified by:
  `minus` in interface `PCollection<E>`
Returns:
  this with a single instance of e removed, if e is in this

#### minusAll

    PSet<E> minusAll(Collection<?> list)

Specified by:
  `minusAll` in interface `PCollection<E>`
Returns:
  this with all elements of list completely removed

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015